Skip to main content
GET
/
conversations
/
{conversationId}
Get Conversation
curl --request GET \
  --url https://services.leadconnectorhq.com/conversations/{conversationId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "contactId": "ve9EPM428kjkvShlRW1KT",
  "locationId": "ve9EPM428kjkvShlRW1KT",
  "deleted": false,
  "inbox": true,
  "type": 123,
  "unreadCount": 1,
  "id": "ve9EPM428kjkvShlRW1KT",
  "assignedTo": "ve9EPM428kjkvShlRW1KT",
  "starred": true
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-04-15

Path Parameters

conversationId
string
required

Conversation ID as string

Example:

"tDtDnQdgm2LXpyiqYvZ6"

Response

Successful response

contactId
string
required

Unique identifier of the contact associated with this conversation

Example:

"ve9EPM428kjkvShlRW1KT"

locationId
string
required

Unique identifier of the business location where this conversation takes place

Example:

"ve9EPM428kjkvShlRW1KT"

deleted
boolean
required

Flag indicating if this conversation has been moved to trash/deleted

Example:

false

inbox
boolean
required

Flag indicating if this conversation is currently in the main inbox view

Example:

true

type
number
required

Communication channel type for this conversation: 1 (Phone), 2 (Email), 3 (Facebook Messenger), 4 (Review), 5 (Group SMS), 6 (Internal Chat - coming soon)

unreadCount
number
required

Number of messages in this conversation that have not been read by the user

Example:

1

id
string
required

Unique identifier for this specific conversation thread

Example:

"ve9EPM428kjkvShlRW1KT"

assignedTo
string

Unique identifier of the team member currently responsible for handling this conversation

Example:

"ve9EPM428kjkvShlRW1KT"

starred
boolean

Flag indicating if this conversation has been marked as important/starred by the user

Example:

true

Last modified on March 4, 2026